org.omg.IOP

## Interface TAG_JAVA_CODEBASE

    public interface TAG_JAVA_CODEBASE

org/omg/IOP/TAG_JAVA_CODEBASE.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-mhbTDH/openjdk-8-8u492-ga~us2/src/corba/src/share/classes/org/omg/PortableInterceptor/IOP.idl Tuesday, April 28, 2026 11:05:12 PM UTC

### Field Summary

Fields
`static int` `value` Class downloading is supported for stubs, ties, values, and value helpers.

### Field Detail

#### value

    static final int value

Class downloading is supported for stubs, ties, values, and value helpers. The specification allows transmission of codebase information on the wire for stubs and ties, and enables usage of pre-existing ClassLoaders when relevant.

For values and value helpers, the codebase is transmitted after the value tag. For stubs and ties, the codebase is transmitted as the TaggedComponent `TAG_JAVA_CODEBASE` in the IOR profile, where the `component_data` is a CDR encapsulation of the codebase written as an IDL string. The codebase is a space-separated list of one or more URLs.

See Also:
  Constant Field Values